MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013243MediaMonkey (current)Framework: Taggingpublic2016-04-24 07:422016-04-26 17:38
Reportermichal 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.1.12 
Target Version4.1.12Fixed in Version4.1.12 
Summary0013243: Some ALAC files have incorrectly detected format
DescriptionI have some ALAC files, for which MM shows incorrect format - sample rate or number of channels. It is because they have incorrect values in stsd.alac atom. We should use values from stsd.alac.alac (or sometimes stsd.alac.wave.alac) atom (it contains ALAC magic cookie), they have to be always correct, because this cookie is used by decoder for decoding.
TagsNo tags attached.
Fixed in build1789
Attached Files

- Relationships

-  Notes
(0044492)
michal (developer)
2016-04-25 03:47

Fixed in build 1789. Merged to MM5 build 2019.
(0044502)
peke (developer)
2016-04-26 17:38

Verified 1789


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker